Subject: bug#9242: closed (Re: bug#9242: distcheck fails when having TEST in sub-directory)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 Aug 2011 17:01:02 +0000

Your bug report

#9242: distcheck fails when having TEST in sub-directory

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9242: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9242: distcheck fails when having TEST in sub-directory
From: Stefano Lattarini <[email-masked]>
To: Peter Johansson <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Aug 2011 18:58:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Friday 05 August 2011, Stefano Lattarini wrote:
> On Thursday 04 August 2011, Peter Johansson wrote:
>
> > cat > Makefile.am <<EOF
> > TEST_EXTENSIONS = .test
> > TESTS = test/foo.test
> > EOF
> > 
> You've forgotten to add $(TESTS) to $(EXTRA_DIST) here:
> 
>   EXTRA_DIST = $(TESTS)
> 
> If you add the above line to your Makefile.am (both the reduced one
> and the original one), does you problem disappear?  If yes, I'll
> close this bug report.
> 
No further reply from Peter, so I assume my diagnosis was correct and
the issue has been solved.  Peter, feel free to re-open the report if
this is not the case,

Regards,
  Stefano

Subject: distcheck fails when having TEST in sub-directory
From: Peter Johansson <[email-masked]>
To: [email-masked]
Date: Thu, 4 Aug 2011 13:53:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello automakers,

I have a non-recursive Makefile.am but keep the tests in sub-directory named
test. Surprisingly distcheck fails for me with this set up, which to me
seems to be caused by some VPATH issue.

Below is a trimmed down test case that fails for me with

make  check-TESTS
make[2]: *** No rule to make target `test/foo.test', needed by
`check-TESTS'.  Stop.
make[1]: *** [check-am] Error 2
make: *** [distcheck] Error 1

cat > configure.ac <<EOF
AC_INIT([foo], [1])
AM_INIT_AUTOMAKE([foreign])
AC_CONFIG_FILES([Makefile])
AC_OUTPUT
EOF

cat > Makefile.am <<EOF
TEST_EXTENSIONS = .test
TESTS = test/foo.test
EOF

mkdir -p test
cat > test/foo.test <<EOF
echo hello world
exit 0
EOF
chmod 755 test/foo.test

autoreconf -ivf
./configure
make all
make check
make distcheck

Is this a bug or am I doing something wrong?

I'm using Automake 1.11.1

Thanks,
Peter